import { ComponentFixture, TestBed } from '@angular/core/testing';

import { ContainerObjectsManagerComponent } from './container-objects-manager.component';
import { HttpClientTestingModule } from '@angular/common/http/testing';
import { RouterTestingModule } from '@angular/router/testing';
import { MatTableModule } from '@angular/material/table';
import { MatButtonModule } from '@angular/material/button';
import { MatIconModule } from '@angular/material/icon';
import { MatDialogModule } from '@angular/material/dialog';
import { MatSnackBarModule } from '@angular/material/snack-bar';
import { NoopAnimationsModule } from '@angular/platform-browser/animations';

describe('ContainerObjectsManagerComponent', () => {
  let component: ContainerObjectsManagerComponent;
  let fixture: ComponentFixture<ContainerObjectsManagerComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      declarations: [ContainerObjectsManagerComponent],
      imports: [
        HttpClientTestingModule, RouterTestingModule, MatTableModule, MatButtonModule, MatIconModule,
        MatDialogModule, MatSnackBarModule, NoopAnimationsModule,
      ],
    })
      .compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(ContainerObjectsManagerComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
